VSTGUI: ViewCreatorAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
ViewCreatorAdapter Class Reference

View creator interface adapter. More...

`#include <iviewcreator.h>`

Inheritance diagram for ViewCreatorAdapter:

## Public Member Functions
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const override
UTF8StringPtr | getDisplayName () const override
Public Member Functions inherited from IViewCreator
virtual | ~IViewCreator () noexcept=default
virtual IdStringPtr | getViewName () const =0
virtual IdStringPtr | getBaseViewName () const =0
virtual CView * | create (const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | getAttributeNames (StringList &attributeNames) const =0
virtual AttrType | getAttributeType (const string &attributeName) const =0
virtual bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const =0
virtual bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const =0
virtual bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const =0
virtual UTF8StringPtr | getDisplayName () const =0

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType , kBooleanType , kIntegerType , kFloatType , kStringType , kColorType , kFontType , kBitmapType , kPointType , kRectType , kTagType , kListType , kGradientType }
using | string = std::string
using | StringList = std::list< string >
using | ConstStringPtrList = std::list< const string * >

## Detailed Description

View creator interface adapter.

## Member Function Documentation

## ◆ apply()

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KnobBaseCreator, KnobCreator, LayeredViewContainerCreator, MultiBitmapControlCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, RowColumnViewCreator, ScrollViewCreator, SearchTextEditCreator, SegmentButtonCreator, ShadowViewContainerCreator, SliderBaseCreator, SliderCreator, SplitViewCreator, StringListControlCreator, SwitchBaseCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

## ◆ getAttributeNames()

bool getAttributeNames | ( | StringList & | attributeNames | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KnobBaseCreator, KnobCreator, LayeredViewContainerCreator, MultiBitmapControlCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, RowColumnViewCreator, ScrollViewCreator, SearchTextEditCreator, SegmentButtonCreator, ShadowViewContainerCreator, SliderBaseCreator, SliderCreator, SplitViewCreator, StringListControlCreator, SwitchBaseCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

## ◆ getAttributeType()

AttrType getAttributeType | ( | const string & | attributeName | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KnobBaseCreator, KnobCreator, LayeredViewContainerCreator, MultiBitmapControlCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, RowColumnViewCreator, ScrollViewCreator, SearchTextEditCreator, SegmentButtonCreator, ShadowViewContainerCreator, SliderBaseCreator, SliderCreator, SplitViewCreator, StringListControlCreator, SwitchBaseCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

## ◆ getAttributeValue()

bool getAttributeValue | ( | CView * | view,
|  | const string & | attributeName,
|  | string & | stringValue,
|  | const IUIDescription * | desc
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KnobBaseCreator, KnobCreator, LayeredViewContainerCreator, MultiBitmapControlCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, RowColumnViewCreator, ScrollViewCreator, SearchTextEditCreator, SegmentButtonCreator, ShadowViewContainerCreator, SliderBaseCreator, SliderCreator, SplitViewCreator, StringListControlCreator, SwitchBaseCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

## ◆ getAttributeValueRange()

bool getAttributeValueRange | ( | const string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in GradientViewCreator, ParamDisplayCreator, ShadowViewContainerCreator, and ViewCreator.

## ◆ getDisplayName()

UTF8StringPtr getDisplayName | ( |  | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KickButtonCreator, KnobCreator, LayeredViewContainerCreator, MovieBitmapCreator, MovieButtonCreator, MultiLineTextLabelCreator, OnOffButtonCreator, OptionMenuCreator, ParamDisplayCreator, RockerSwitchCreator, RowColumnViewCreator, ScrollViewCreator, SearchTextEditCreator, SegmentButtonCreator, ShadowViewContainerCreator, SliderCreator, SplitViewCreator, StringListControlCreator, VerticalSwitchCreator, HorizontalSwitchCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

## ◆ getPossibleListValues()

bool getPossibleListValues | ( | const string & | attributeName,
|  | ConstStringPtrList & | values
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in GradientViewCreator, MultiLineTextLabelCreator, RowColumnViewCreator, SegmentButtonCreator, SliderBaseCreator, SplitViewCreator, TextButtonCreator, TextLabelCreator, UIViewSwitchContainerCreator, ViewContainerCreator, and VuMeterCreator.

The documentation for this class was generated from the following file:

- iviewcreator.h